---
title: CSS Positioned Layout
slug: Web/CSS/CSS_Positioning
tags:
  - CSS
  - CSS Positioning
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Positioned Layout</strong> is a module of CSS that defines how to position elements on the page.</p>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_properties">CSS properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("bottom")}}</li>
 <li>{{cssxref("clear")}}</li>
 <li>{{cssxref("float")}}</li>
 <li>{{cssxref("left")}}</li>
 <li>{{cssxref("position")}}</li>
 <li>{{cssxref("right")}}</li>
 <li>{{cssxref("top")}}</li>
 <li>{{cssxref("z-index")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Positioning/Understanding_z_index">Understanding CSS z-index</a></dt>
 <dd>Presents the notion of stacking context and explains how z-ordering works, with several examples.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Positioning') }}</td>
   <td>{{ Spec2('CSS3 Positioning') }}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', 'visuren.html') }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>
